<template>
  <div>
  <!-- Don't drop "q-app" class -->
    <div id="q-app">
      <q-layout
      ref="layout"
      view="lHh Lpr lFf">
        <q-toolbar flat slot="header" class="bg-white text-light-blue-darken-1">
          <q-toolbar-title>Rakonto</q-toolbar-title>

          <q-btn flat>Prompts</q-btn>
          <q-btn flat>Stories</q-btn>
        </q-toolbar>
        <router-view />
      </q-layout>
    </div>
  </div>
</template>

<script>
/*
 * Root component
 */
import {
  QLayout,
  QToolbar,
  QToolbarTitle,
  QBtn
} from 'quasar'
export default {
  components: {
    QLayout,
    QToolbar,
    QToolbarTitle,
    QBtn
  }
}
</script>

<style lang="stylus">
@import '~variables'

// body
//   background-color #515151

.bg-white
  background-color #FFFFFF

.text-orange-darken2
  color #f57c00

.text-cyan
  color #00bcd4

.text-grey-lighten-1
  color #bdbdbd

.text-pink-lighten-2
  color #f06292

.text-blue-lighten-4
  color #bbdefb

.text-purple-lighten-4
  color #e1bee7

.text-light-blue-darken-1
  color #039be5

.bg-light-blue-darken-1
  background-color #039be5
  color white

.text-light-blue-lighten-2
  color #4fc3f7

.text-teal-lighten-2
  color #4db6ac
  
.text-deep-orange-lighten-2
  color #ff8a65
</style>
